<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace webbasys\includee\api\warenkorb\checks;

class WarenkorbHinzufuegenCheckVeranstaltArtFriedrichshafen extends WarenkorbHinzufuegenCheck
{
  protected function additionalCheck(\Kurs $kurs, array $knrs): int
  {
    $dbwKurse = new \DBWorkKurseINetAktiv();
    $veranstaltArtGemischt = $dbwKurse->isFriedrichshafenVeranstaltungsartenGemischt($knrs);

    return $veranstaltArtGemischt ? self::VERANSTALTART_FRIEDRICHSHAFEN_GEMISCHT : self::SUCCESS;
  }
}